#
# spec file for package perl-File-HomeDir
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-File-HomeDir
Version:        1.006
Release:        1.17
%define cpan_name File-HomeDir
Summary:        Find your home and other directories on any platform
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/R/RE/REHSACK/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(File::Path) >= 2.010000
BuildRequires:  perl(File::Temp) >= 0.19
BuildRequires:  perl(File::Which) >= 0.05
BuildRequires:  perl(Test::More) >= 0.9
Requires:       perl(File::Path) >= 2.010000
Requires:       perl(File::Temp) >= 0.19
Requires:       perl(File::Which) >= 0.05
%{perl_requires}

%description
*File::HomeDir* is a module for locating the directories that are "owned"
by a user (typically your user) and to solve the various issues that arise
trying to find them consistently across a wide variety of platforms.

The end result is a single API that can find your resources on any
platform, making it relatively trivial to create Perl software that works
elegantly and correctly no matter where you run it.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README.md
%license LICENSE

%changelog
* Tue Sep 29 2020 Tina Müller <timueller+perl@suse.de>
- updated to 1.006
  see /usr/share/doc/packages/perl-File-HomeDir/Changes
  1.006	2020-09-28
  - re-release with minor fixes to cover modern toolchain
  - apply fix for RT#128096 reported by ANDK, thank you Andreas
* Thu May  3 2018 coolo@suse.com
- updated to 1.004
  see /usr/share/doc/packages/perl-File-HomeDir/Changes
  1.004	2018-05-02
  - release 1.003_002 without further changes
  1.003_002	2018-03-13
  - build distribution on Linux
  - add debug message because of RT#65301
  - run author tests with installed spell-checker
  1.003_001	2018-03-10
  - skip root homedir test for cygwin (RT#104661)
  - document even undocumented fetchers for FreeDesktop implementation
    (RT#103305) and status quo (RT#88681)
  - Fix several typos (RT#86426, RT#67093, PR#1)
  - play with https://coveralls.io/
  - remove tie interface (PR#4, Thanks Yanick)
  - determine ->my_home when $ENV{HOME} is empty (based on PR#3)
  - relocate repository
* Sat Sep 23 2017 coolo@suse.com
- updated to 1.002
  see /usr/share/doc/packages/perl-File-HomeDir/Changes
* Tue Jun  4 2013 coolo@suse.com
- updated to 1.00
  - No functional changes
  - Updating to Module::Install 1.06
  - Don't require documents directory on Mac under AUTOMATED_TESTING
* Tue Feb 21 2012 coolo@suse.com
- updated to 0.99
  - Updating to Module::Install 1.04
  - Removed deprecated interfaces from the documentation
  - Don't require music and video directories in FreeDesktop tests
  - The use of deprecated %%~ now emits a warning
* Mon Dec 19 2011 coolo@suse.de
- update to 0.98
  - Updating to Module::Install 1.01
  - If Win32::GetFolderPath returns a \\UNC type path do not do the
    normal -d sanity check, as strange and unusual bugs may occur.
* Thu Mar 31 2011 coolo@novell.com
- update to 0.97
  - Removed a dubious "different users have different data" test on Macs
  - Removed tests for legacy %%~ interface
  - More special casing in tests to deal with stripped down non-root
    Mac environments (mostly to make BINGOS' automated testing pass)
  - use Mac::SystemDirectory for each Darwin based MacOS. (REHSACK)
  - Be less strict about desktop and others on FreeDesktop (ADAMK)
  - Adding experimental support for my_dist_config() (JQUELIN)
  - Adding diag comment on which drivers gets used (ADAMK)
  - Updating to Module::Install 1.00 (ADAMK)
  - Add a bit more docs, and tweak the existing stuff a bit (ADAMK)
  - Deprecated the %%~ interface. It will continue to exist as an
    undocumented legacy interface until 2015, warnings will be
    issued from 2013 (ADAMK)
  - On FreeDesktop.org systems, root often does not have the relevant
    directories. Skip tests for them in the same way as we do for the
    Mac root users on darwin (GARU)
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Wed Jul 21 2010 chris@computersalat.de
- update to 0.91
  - Moving the FreeDesktop driver to prod
  - Adding File::HomeDir::Test driver
- 0.90_04 Fri 12 Feb 2010
  - Adding missing prereq
- 0.90_03 Tue  9 Feb 2010
  - Using FreeDesktop implementation only if xdg-user-script is
    present, since it's now what's been used internally. This should
    prevent test failures seen in _02. (JQUELIN)
- 0.90_02 Thu 14 Jan 2010
  - Adding support for the alternate FreeBSD xdg directory (JQUELIN)
  - Improved specification compliance (DAXIM)
- 0.90_01 Thu  7 Jan 2010
  - WARNING: This release introduces a major backwards incompatibility
    for Unix users. The results returned by most methods may change.
  - Added complete implementation of the FreeDesktop specification and
    auto-detection of the Unix hosts to which it applies (JQUELIN)
  - 01_compile.t now loads all backends (since on most platforms,
    most backends will never normally be loaded).
- 0.89 Sun  3 Jan 2010
  - Loosen the testing intensity on Darwin Carbon backends to prevent
    issues with consumer directories prevent installation entirely.
- 0.88 Tue 24 Nov 2009
  - Switching to a production release
- 0.87_01 Sat  3 Oct 2009
  - First developer implementation of improved Mac support
- 0.86 Fri 27 Mar 2009
  - Bug fix for the 64-bit implementation
- 0.85_01 Fri 27 Mar 2009
  - For 64-bit perl on Darwin, fall back to File::HomeDir::Unix
    as Mac::Carbon is not available
- 0.84 Wed 11 Mar 2009
  - Adds support for $ENV{HOME} on Darwin
  - Other bug fixes on Darwin (MIYAGAWA)
- 0.83_01 Sat  1 Nov 2008
  - Patch from Darin McBride to fix user_home on Darwin.
- recreated by cpanspec 1.78
- noarch pkg
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Wed Jan 21 2009 pth@suse.de
- Update to 0.82.
  Changes since 0.66:
  - When we get more than one warning, diagnose the warnings so that
    we have actually have a chance to get rid of the extra warnings.
  - Updating to Module::Install 0.77
  - Localising $@ during evals
  - Updating Perl version dependency to 5.00503
  - File::HomeDir should now support "Perl on a Stick"
  - Added `my_dot_config`.
  - Adding a base driver class.
  - Updating bundled author tests
* Wed Oct 17 2007 pth@suse.de
- Update to 0.66:
  - Spurious failures on some path-levels of 5.9.0 due to a warnings
    bug regression. Skip the relevant test on Perl 5.9.0.
  - Remove a -w flag in 02_main.t so test runs under tainting
* Wed May 16 2007 pth@suse.de
- Initial package.
